"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pick = void 0;
/**
 * Create an object composed of the picked `object` properties.
 *
 * @param value the source object.
 * @param keys the property keys to pick.
 * @returns the new object.
 */
function pick(value, keys) {
    return keys.reduce((p, k) => {
        if (k in value) {
            p[k] = value[k];
        }
        return p;
    }, {});
}
exports.pick = pick;
//# sourceMappingURL=pick.js.map